Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::views::ints_fn Struct Reference
Inheritance diagram for ranges::views::ints_fn:

## Synopsis of methods
constexpr ints_fn | ints {}

## Public Member Functions
template<typename Val >
constexpr iota_view< Val, Val > | operator() (Val from, Val to) const
template<typename Val >
constexpr iota_view< Val > | operator() (Val value) const
template<typename Val >
constexpr iota_view< Val > | operator() (Val value, unreachable_sentinel_t) const
Public Member Functions inherited from ranges::iota_view< int >
constexpr | iota_view (int from)
constexpr | iota_view (meta::id_t< int > from, meta::id_t< To > to)

## Member Function Documentation

## ◆ operator()() [1/3]

template<typename Val >

constexpr iota_view<Val, Val> ranges::views::ints_fn::operator() | ( | Val | from,
|  | Val | to
| ) |  | const
| constexpr

Precondition
  requires `integral<Val>`

## ◆ operator()() [2/3]

template<typename Val >

constexpr iota_view<Val> ranges::views::ints_fn::operator() | ( | Val | value | ) | const
| constexpr

Precondition
  requires `integral<Val>`

References ranges::aux::move, and ranges::to().

## ◆ operator()() [3/3]

template<typename Val >

constexpr iota_view<Val> ranges::views::ints_fn::operator() | ( | Val | value,
|  | unreachable_sentinel_t |
| ) |  | const
| constexpr

Precondition
  requires `integral<Val>`